apiVersion: apps/v1
kind: Deployment
metadata:
    # < name of the deploymentand reference
    name: nextcloud
    # < namespace where to place the deployment and pods
    namespace: home-stuff
    labels:
        # < label for tagging and reference
        app: nextcloud
spec:
    #ENC[AES256_GCM,data:v/YHg53HMxTa97ev2Jul9sNvW78fEq+x2PyE,iv:CbCjarScaV2cUaUwJCJDn5lIHEPL54lZ1hufWkrtR98=,tag:7IZMTMB2MbQeIHrvP9YYOQ==,type:comment]
    replicas: ENC[AES256_GCM,data:tg==,iv:fO9g4vYjq3cbC92tH3METFNjrCqxRpNqd1lCx1OWqnY=,tag:dRoaQ29G+1BpkkjsmOoOBQ==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:jG3R09vPcpdG,iv:TQodU41icom9u+3o8U4D9nOcygQZBmlmkwxwtxpJJTI=,tag:hlkGc4Nq5Jsst88zi2hW7A==,type:str]
    strategy:
        rollingUpdate:
            #ENC[AES256_GCM,data:cLF5l8V8dzsQhr+9U+ggGxBUJ9ZcETBF9PzFcmgtZBcvn6yV2ctH5QdkxwqCj6macVij8oagw7XTpAp+O/oekEhwD7vaZaRVBMM/G3VvYm043FhVCdsx6D1uIA==,iv:vSVt5SOOljwljsPNVcWU0jkpQqEBvlVEDZ//amkRJVE=,tag:z7vJ912g46ubcekJg7BwHQ==,type:comment]
            maxSurge: ENC[AES256_GCM,data:Lg==,iv:LLjAYe1H+YdDXZ87gT5vUHqwlAWeNkJrp8B75FYxBqs=,tag:KfMRJncXsta1zNY2nPJ6jw==,type:int]
            #ENC[AES256_GCM,data:rsSqGbt/8OEWny8Yf6cXBkZKytePpiZ3I5NslLgZQLKASHkqxm2Y5Vd9x9ExhPb8qEt7sHMqXzplneaewkcrCkXlhL9zahA=,iv:0gj0JGSxdk9HCrZTRe5eBGGEJOgOLKzPn9FUccEukVg=,tag:FqC4RWGoQrF7jDvb+ONyoQ==,type:comment]
            maxUnavailable: ENC[AES256_GCM,data:mA==,iv:hwgXn0SFY5slm+0t71H793YbTWWP2V3REzHnMSlY/fE=,tag:XTurOjpPccevvKwKRehSyA==,type:int]
        #ENC[AES256_GCM,data:/6YUNBlyiXQl/HLIKbWgAKdfvWZEC0m6RVbqzcX9yrIMhXxNa/C9Kp+o8uJVu82QVFVSluB6WJjddRimIiKrDRFn5hjLng==,iv:1fz6yysj0Oxa4cLPUM0BCo0A+2nr0V/1KbgIaMhLEzA=,tag:hnG9UmkEAO+cS8ee0hIVzg==,type:comment]
        type: RollingUpdate
    template:
        metadata:
            labels:
                app: nextcloud
        spec:
            volumes:
                - ENC[AES256_GCM,data:L38NVavkVBOlfoMTJBvFETjSvsY5nVK4iXhUNkHGd7Z9lKy3RQ==,iv:fSSOkfM9CcQSq9NcTQea8nZ+s09iQk4VrRZ2+MHNWyo=,tag:mXfQsBrkryuGurJznilhzQ==,type:comment]
                - name: ENC[AES256_GCM,data:k4Wa3ZRe4R8aB91xAAA=,iv:Xg6akhmVwlFuFi3PcPPd6ATGVYVDLJoCbinUwF92c/E=,tag:zX9Y/CvmS6t/RU5pfdgRYg==,type:str]
                  persistentVolumeClaim:
                    #ENC[AES256_GCM,data:gSKpIh++lMpSmQ6reFMdy+fhKw0ZS9Q0RPw1/DXpaJevi5PSNhCdOv1Tvg==,iv:6XMVT8SN+YhRa18X/PPypiIeGGuVEmT+BM9hEHUJDjw=,tag:sOSENHXX7JLMsL1GaxCXfQ==,type:comment]
                    claimName: ENC[AES256_GCM,data:stx6mU63RDk3++ftJcXgFjr5,iv:9oY0fVAUgxevkYB7na/U4xYwH9MFUlOZfYnrj4pAG4o=,tag:H8Acg53VuL5foMqZGjvTkA==,type:str]
                - name: ENC[AES256_GCM,data:beuhcxG/NRDBMBvq+A==,iv:5bLX/fNSeXdqsV0ECyY+ot7csfcTct9HacuRsTxofIQ=,tag:0Vx9VIlmOQAAB6o56Q6j7A==,type:str]
                  secret:
                    #ENC[AES256_GCM,data:fPi4PGY/pHXSkAA2N6tzmKWntlSo59t3rDeddD2RpVdpHxvkhcD0Xco=,iv:mVZW8F9Mt/KcWSQRlhT92Vk8/18sWr4WHCiG9z47G4s=,tag:y+tNf2E+WV16jF5S+xC7bg==,type:comment]
                    secretName: ENC[AES256_GCM,data:gQsAQPo+9a40+ElamcjJiiAH,iv:Jltk/jTBUkhBhcQWXtR4ny5+T151gcuvRcAE/FQ3dwM=,tag:Twny0oCjlpK9azAyOYseWQ==,type:str]
            containers:
                - ENC[AES256_GCM,data:McG60m6cer5jnVlpFCidAzWIhQ13wIiLaxMjLat/BsayE8VF4i8rk7uJEg==,iv:WP78GXUYyoNSJClQKfkzU40vLO0q329cuzHh2QEa4IU=,tag:NYTUvcdfEN8s3qvrBdm14A==,type:comment]
                - image: ENC[AES256_GCM,data:UP8nOoplYWdFBFYB/uc/MsU0RiiPB55veVEU5hb696KWOxf59eYM0SAj,iv:DHotGNb4SO+rMT1mEOtODU7DbaWReY5NHunq4kpqJVM=,tag:9m6tWjjiLgAz2D7fb+YOmQ==,type:str]
                  #ENC[AES256_GCM,data:CwbOkx7sLD16rd1gBtBIN7AqtEc=,iv:ADbexcU/+jQJeeQbPyB1j5XIe9ZaVqXWWfJEXkTfQdQ=,tag:HtiKYAKrGTL7zbNY+byJfA==,type:comment]
                  name: ENC[AES256_GCM,data:QvZ0abVoPNdh,iv:DBdOC2h4jlmKZWKDf7aAVg50I1JsYUAqM3jX6IsswLI=,tag:4Wj4P5wIMbSNN8I7NRj7fA==,type:str]
                  #ENC[AES256_GCM,data:99ZT6KGxYy3H3TjbvK2axkmWj8ksjxlYZxF7jvz+62aqlybLSGq77W5JgqOW8REC+Tc05A+6N14Yig==,iv:BCPG6qVba2cmpA0WP2uv69/g0IK0Hdu4TMvP1fhlAHk=,tag:vshcu20l6DwtqbDfyKpDkg==,type:comment]
                  imagePullPolicy: ENC[AES256_GCM,data:KBJGxe4sCSPyrJDb,iv:TMRqZ4KHrqhdoRlFTOu6wEhUssIT1NQO9xJtU0ijCmo=,tag:TTc1mRo9tIhsOHgkeh6lsw==,type:str]
                  #ENC[AES256_GCM,data:ZpIlkGk+qfPKfeXSR6Ws8+fmrL0N+dPAuIe4Xdizhag0rQj3JaLX/LvX0R2T5eS4LNArUgj0X8q1KFxktqdRXM7EFSS5ziFr+ffPEg==,iv:EoRF0Nb+kUTpiK1nLxHNP8FWfZ0FV9dDVFNWmcDlPnE=,tag:jXedY1Kp0aDRhxmt2dy4rA==,type:comment]
                  env:
                    - name: ENC[AES256_GCM,data:Mz22yA==,iv:3NKzxYM46gegXPjS865vl+hyrqwI44jdpCbxc055I3A=,tag:k5qPOVl9KSak4YpAv/12PA==,type:str]
                      #ENC[AES256_GCM,data:5t9Vt7v/9GdzV2ssUx7w,iv:onSqNOk1toIClTlXOCRA7disuhkzIEg7h8U01V1XSgI=,tag:deHVSpQofQiUHdrLuJAvgw==,type:comment]
                      value: ENC[AES256_GCM,data:KHokMw==,iv:jpKUU2VLoYGoVG/2rd8mHHGuf3MB8LHNp7wEFXs5V2o=,tag:84FX9lIuQLVBamK3ejfOuQ==,type:str]
                    - name: ENC[AES256_GCM,data:vIJBkw==,iv:r/kkX73GO4wd20Y6cb8JCn3LphPAj9XXLTz7hEyaL0s=,tag:c3kWx5ZHV4g41hNZarZdZQ==,type:str]
                      #ENC[AES256_GCM,data:wJMXze9AystUhE8SC8VqeQ==,iv:hj3/b3nT9yhMAuc6DTIoCWM++pjHkME/xgYwnyS1J28=,tag:yWgZrDWUAmHcVx+yarKxsg==,type:comment]
                      value: ENC[AES256_GCM,data:TO8itA==,iv:+tZcT8sLJb/SuKxWGQY6FogVtzvNP0Bj3L9aBrgUHUo=,tag:1Zhu9agweuKk9lYINKFipQ==,type:str]
                    - name: ENC[AES256_GCM,data:nR4=,iv:URhrq1dsO+2vcuyYqS8Y1cWmtMYuZqBCYTruLmAiVEA=,tag:zajENfAM+HizODX2AlVHRA==,type:str]
                      value: ENC[AES256_GCM,data:8qPLv84y4720mW1HklpAjQ==,iv:x6OgG0PRUQY7zOerL9BFT3IpoDe84v4AN0pAMFLzlNk=,tag:oIU2NKxGJz/aVXuGASvFeg==,type:str]
                    - name: ENC[AES256_GCM,data:tNJ3no3RYR4ayFGymp0UO5VXA8bvjuUZJQ==,iv:ah83W97JGk7ckvmc0uho6Oyc7pGQPhHg9rcz70K6J0c=,tag:s7iV8G1h1ROOTtwmCIjAkQ==,type:str]
                      value: ENC[AES256_GCM,data:XvW7T+SMKJYDUUdpKdpS4Vnyi3LG0mN2Aha/EC/rh5wmKsA=,iv:sQjk/vPK6byMBBbY+LaQuaGhhYzcqOmRRvUzceu+900=,tag:h32cw7ZL4zPdLsz0hqe0BA==,type:str]
                    - name: ENC[AES256_GCM,data:B+3QGHggeRr09SFFcuW8xg==,iv:PIp10AJh4SwFvM2yHlJfM3rQo8CADywLRUtvUMxrq84=,tag:puhcfyT6K6E0pbOHISxP5A==,type:str]
                      value: ENC[AES256_GCM,data:2g==,iv:RMZhNsO9wr+/oE2W6P2AeS7kzAtqY0/xU2uRKxHodVI=,tag:s8iuLldFhbAlCXt97CdcmQ==,type:str]
                    - name: ENC[AES256_GCM,data:8Yt/Y0LsLaFUMOY=,iv:0Iu8PpFDhIRQcBG1l/+le/GxdOOOOURUgBJf3BCQ0ak=,tag:lFtwNDWV/TvzD+RvPt8p7Q==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:6Tfgo0AHrQ+U5NUNpmZ+hQ0=,iv:QrnexpAWTNsmsN5ZprSmTcuyP4+T0eQg7AhdVNKPXDw=,tag:M6dlK6jGEVgR+QhydERouw==,type:str]
                            key: ENC[AES256_GCM,data:JK3N5ScdeUtc//0=,iv:Folt1IQIcp68oxJZw2wf45q44KZ/0poCKS4pZKBYSCY=,tag:bcsaoBPQDQjYSxrn/KQulA==,type:str]
                    - name: ENC[AES256_GCM,data:lcMEwPVKHOcTD9sgqg==,iv:g3tRiHb4STMgooWMUr1Vxi8C4KO5DSt3XAIqg4iOSGE=,tag:tt/n6xq5YURV1yqQIeKYIA==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:imMduIGJE4HGW1HZAa0ZTMQ=,iv:nYyw3MmYsYDOHIzu5oGL4emfthRHGib3PcWzbykyXjI=,tag:CQcp+Ft03SA9t9ZTUi0PbA==,type:str]
                            key: ENC[AES256_GCM,data:DTYkO9ei14KCN8gIVw==,iv:+FPyiBkwZj1/5WwlcdzS2uNUrQKDlj8VYoE/TSR/ceI=,tag:kQYwZYkdL59P2NY37JFspA==,type:str]
                    - name: ENC[AES256_GCM,data:GadwyCySImWzXl3zig==,iv:/mFbKo61PEP80IN39VaVRG170m1XhB+wuhG0pP/z4rU=,tag:v+RsMg+Y+4U6H8KCfwB8CQ==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:jR8bwI8PZUMAcWFSzfmqaMM=,iv:apSNU2rNT2YIaQtNb5H3EZ9Jt5veGyon3j8u/rUYgio=,tag:H7r6pRHQFRgzhhsWq2eAlQ==,type:str]
                            key: ENC[AES256_GCM,data:VDAMf1dONUIdjd8pRg==,iv:d0wKlJSznHERipWK5g6zNm0EFgqXEVVbaan17uA1NWY=,tag:SHIPQeGdyxeazXhM+4O1lw==,type:str]
                    - name: ENC[AES256_GCM,data:KrxZj7RlbsuIfkwNTP6hZto=,iv:J5uZYA38f8d1i3BRiZmDr9YtKbpmkV/X3am90KJ0n+U=,tag:0iNfTLoHEoXtSx233lIpUQ==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:xxVDq6NzjQUSC85QGPa2/JA=,iv:IxwlCBVtuMPv3Bxnx9ykiMDTk1RPrA1Cvvv9gUAGgFw=,tag:xYCMZ7qX6rkgSMF8A5OWPQ==,type:str]
                            key: ENC[AES256_GCM,data:b+g3qQNHLRpWFKnScfCdfag=,iv:YXiMkJDXsstfOyjKCJpVxuCEpzUZ5x7GucULElMmGe8=,tag:VMIKlwwMiKKfaP61ELIyOA==,type:str]
                  ports:
                    - ENC[AES256_GCM,data:ZppbzY7ex56oX5fbKedZCKgx3CPYA604ypKqSEzkYa5bVscFl4fLajLATJD1oYQCBuevedzYn5J9e9ZTC2u3vfo7q47TbwRp6XPbKJ/xAhzt5g==,iv:GVPO30kSHwydQ+/VeyYSESnR8SuqQJwdlDee23YD97c=,tag:GFtMa9RrOgFYw6yEWe4s7A==,type:comment]
                    - containerPort: ENC[AES256_GCM,data:e2w6,iv:NGKnv4knPU6GZ9LAqd2j2dOi56lvh/JYLUgewqO0rBA=,tag:BJVS/NTClD68Gzs+aMS84g==,type:int]
                      name: ENC[AES256_GCM,data:vS49yhDK5JZN,iv:DwWgaB4AyaTF85YjU/aKOXHvPS507uVMPwUg5Rh2XQk=,tag:TKv4lZJjFqK/bionvGbyhg==,type:str]
                      protocol: ENC[AES256_GCM,data:Ge4n,iv:mdkjgjC/HtjmBW0nttVyHiR4r/g309vxFYW8QOJGBxc=,tag:EnKVxs78BT5MRs/5DDy55w==,type:str]
                  #ENC[AES256_GCM,data:QNap9VYpjIDaEmzpUiSywEsG7VoTbEFH+/g3tihHve7Nr58+Ym/lFtSB6g1ItV3Yyus110Qu3SQlNr6QOmuIzWN77BZ03cRn3p9zMRQi1g==,iv:hvrzykAikCMoIybw9G3529Qgcu7ODyq/rNdhiH1f48k=,tag:+No45eSRhfcBuUKs9Tp9xQ==,type:comment]
                  volumeMounts:
                    - mountPath: ENC[AES256_GCM,data:jnhUAD6sLg==,iv:42ND1oS9lsL1pyBcMpR8spy32RKh1mT9n1VUNO+tl1A=,tag:IZpQ5dkVdCCP0vsgsJ3BQg==,type:str]
                      name: ENC[AES256_GCM,data:T0viYm/T6ynyvtGjKAM=,iv:Pj3kroPH6eEv/OSZrPLBxlw0GTMbbDh+UaVMRTFE8b0=,tag:bS27GhrhQQNX5R/5akawSQ==,type:str]
                      subPath: ENC[AES256_GCM,data:O20pzW4Y,iv:f34WG6I/bAbGkJXTOXQR76mC2TP0uo+sN9/beCQ43vA=,tag:2yMZPyjgL3MTSMecyc+oWQ==,type:str]
                    - mountPath: ENC[AES256_GCM,data:wYre970=,iv:fJXnPgKKdmdWp7lVWoeVSkhrD6nffgkB/p+4vHk+zew=,tag:Lv07n6GfFS2WoWOgNoN4rw==,type:str]
                      name: ENC[AES256_GCM,data:V9B8RgvEmPxr33aOPPA=,iv:D6vB6oh2yqTVL4jykCLQAnvSvN32l6zybiXnx8DcKJE=,tag:QVHGP600aMPzqf4k4IyBdA==,type:str]
                      subPath: ENC[AES256_GCM,data:ENb2/A==,iv:uv3zloeAqwyMagqOUM3x2l5+/vy/yTt5/KL8C6m7Co0=,tag:K606TD6xrDPs6/t4BR1ljQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBDMEtZbm01ZnFsNmRpT3Zj
            TjZRcDlRRmxnb3pJVVJUWFAyUzQ1c0lFbjNjCnRhT1o1UzJlbElPeEdNNVRCSjlV
            TzZ4dEg4cW13U1dWdVFjQjJZcjMrTzgKLS0tIFowWEdHUktTSytZRTB2VWNLZVZW
            ZVNGeHZ2Nmh2cERSb0FBMjFsTHRYKzAKVfy2WSxZbNGqSEhuE5HXhNmvfuku+Hud
            ExLx5H3OkG5Ff5CAJNEGfrCFiKqGcmMDB+ii7m3TndCFYrAsGoWepQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:DlEI54g3tuoj0NIzWB8gBulK9mcyihbSkfAnCeucpXwaNLmVdwe1R9mEWiSzyshGQ6EppYDBsf7AoS1kXem0MVlGtCvsZTwj5IMHjuvJI1hPBK7164Bn0wDrZHvRqfWKQGE10fpKnWYyhSuCVGgetJMevV3CXge5GWcAZIHInD8=,iv:+I/FXIWCA2W7gGeW+DJyvut55Vbun+jVS5pKPZGg7sM=,tag:tQyP2lSKFNcRjaFPVDSrKw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
kind: Service
apiVersion: v1
metadata:
    # < name of the service
    name: nextcloud-web-svc
    # < namespace where to place service
    namespace: home-stuff
spec:
    selector:
        #ENC[AES256_GCM,data:QPG70ik1UjsrAtgFBXV5r9Nk8JVidIzcMElV5GrBWl2WZIKzQXzs5uFfnubs2yv72CdJYKAg/to44k/hCZcNfjAc/iLVtRL+LkEeoJnWblQtObxv1TXqwpmeB1q7+msV5h0qYqyebh2MXfvSv+sWsNB/maGRTZ/OlOSD,iv:IC0HmAHPDMHN6pX1jzpXr/OidUPPt77K6gQimZrkEag=,tag:yQov1iGGezSoYnXYn2IB3Q==,type:comment]
        app: ENC[AES256_GCM,data:WhPCzfnHNRAu,iv:scSGhyUpK4rLfk49sKS5SFvJH822sLTu7b9hk5g4W+s=,tag:A+JBCGJfPwUMKwjhIgHfLA==,type:str]
    ports:
        - name: ENC[AES256_GCM,data:CQhB1AAwWb/s,iv:rP3+0dO5LQXpSxnbxKIoHb9C2zjBx7J0s0FbDlfJsz0=,tag:6alVn03LP1rgNmx5xhtvsg==,type:str]
          protocol: ENC[AES256_GCM,data:eDy5,iv:kBIJSpca5Bv44s0WQA/HY2PFTkngEdtrCjlzDq/I7NI=,tag:mvrNZ/8itwjBEBBtxxbseA==,type:str]
          port: ENC[AES256_GCM,data:VxHY,iv:JF80e44jQlDMxaFaE462oX3LbAr/luC47cXqKfkrfhc=,tag:gwJM/OgLbuECKMuqxqpSzw==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBDMEtZbm01ZnFsNmRpT3Zj
            TjZRcDlRRmxnb3pJVVJUWFAyUzQ1c0lFbjNjCnRhT1o1UzJlbElPeEdNNVRCSjlV
            TzZ4dEg4cW13U1dWdVFjQjJZcjMrTzgKLS0tIFowWEdHUktTSytZRTB2VWNLZVZW
            ZVNGeHZ2Nmh2cERSb0FBMjFsTHRYKzAKVfy2WSxZbNGqSEhuE5HXhNmvfuku+Hud
            ExLx5H3OkG5Ff5CAJNEGfrCFiKqGcmMDB+ii7m3TndCFYrAsGoWepQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:DlEI54g3tuoj0NIzWB8gBulK9mcyihbSkfAnCeucpXwaNLmVdwe1R9mEWiSzyshGQ6EppYDBsf7AoS1kXem0MVlGtCvsZTwj5IMHjuvJI1hPBK7164Bn0wDrZHvRqfWKQGE10fpKnWYyhSuCVGgetJMevV3CXge5GWcAZIHInD8=,iv:+I/FXIWCA2W7gGeW+DJyvut55Vbun+jVS5pKPZGg7sM=,tag:tQyP2lSKFNcRjaFPVDSrKw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
